Bug 557958 - F12 Final - ppc - LiveCD Desktop Spin Too Large for CD
F12 Final - ppc - LiveCD Desktop Spin Too Large for CD
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: spin-kickstarts (Show other bugs)
12
ppc Linux
low Severity high
: ---
: ---
Assigned To: Jeroen van Meeuwen
Fedora Extras Quality Assurance
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-01-22 16:36 EST by ^mp3axe^
Modified: 2010-12-03 18:57 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-03 18:57:47 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ^mp3axe^ 2010-01-22 16:36:43 EST
Description of problem:
The LiveCD spun by current ppc spin-kickstart is 713mb, which is too large to fit on a regular CD-R

Version-Release number of selected component (if applicable):
livecd-tools-031-1.fc12.1.ppc
spin-kickstarts-0.12.1-1.fc12.noarch

How reproducible:
Always.

Steps to Reproduce:
1. run command "livecd-creator -c /usr/share/spin-kickstarts/fedora-livecd-desktop.ks -f Fedora-12-ppc-Live"
2. Attempt to burn resulting iso to CD-R
  
Actual results:
Iso is too large to fit on CD-r 713mb

Expected results:
ISO created should be around 701 - 703mb

Additional info:
Comment 1 Christopher Beland 2010-03-12 21:08:24 EST
For Fedora 13, I believe the size limit has increased to 1GB, on the assumption that people have USB and DVD media available.  (So this might never be fixed.)

---

Fedora Bugzappers volunteer triage team
https://fedoraproject.org/wiki/BugZappers
Comment 2 ^mp3axe^ 2010-03-13 00:22:08 EST
(In reply to comment #1)
> For Fedora 13, I believe the size limit has increased to 1GB, on the assumption
> that people have USB and DVD media available.  (So this might never be fixed.)
> 
> ---
> 
> Fedora Bugzappers volunteer triage team
> https://fedoraproject.org/wiki/BugZappers    

This is a poor assumption IMHO -- The PowerBook G4 and G3 laptops and desktops were manufactured in the late 1990s and early 2000's.  The option of a DVD drive was a luxury, let alone an expensive DVD Writer (Superdrives).  Even if you could connect a DVD via the USB, early version of Open Firmware would not boot from USB.
Comment 3 Christopher Beland 2010-03-13 02:50:46 EST
Well, I suppose you can also do a network install, or use revisor to make your own ISO that will fit on a CD, using only the packages you actually need.

I don't know where this decision was made; this is just what I've read when others have reported the same problem.
Comment 4 ^mp3axe^ 2010-03-13 03:02:30 EST
Network install is broken for my 800mhz G4 Powerbook, which is why I need to make a respin in the first place.  The DHCP doesn't obtain an IP, and anaconda hangs.  In essence, there is a paradox here wherein I need one to make or install one or the other but I cannot because it doesn't work in the first place.

If there is a ticket regarding the final size of the liveCDs and there is still a chance to change their decision, please let me know.
Comment 5 Christopher Beland 2010-03-13 03:44:56 EST
I've sent a message asking for info on who made the decision and why.

In the meantime...if you only need to run a LiveCD distribution in order to make a custom spin, you might try a different spin, like the KDE one.

I'm hoping it's not a hardware problem that is preventing you from doing the network install.  If it's a bug in the Fedora 12 Anaconda, you might get lucky with the Fedora 11 installer, which I believe lets you choose a later version.  I was going to suggest trying Fedora 13 Alpha, but it appears there is no ppc build as of yet.
Comment 6 Christopher Beland 2010-03-22 18:36:02 EDT
I have received word that the decision was made on the desktop mailing list, and so that Open Office could be included.  It applies so far only to the desktop spin.  See e.g.: http://lists.fedoraproject.org/pipermail/desktop/2009-November/005640.html
Comment 7 Bug Zapper 2010-11-03 20:11:16 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Bug Zapper 2010-12-03 18:57:47 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.